@import '../../styles/variables';

.login-page {
  min-height: 100vh;
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;

  form {
    background: $white;
    border: 1px solid $border-color;
    border-radius: 25px;
    padding: 24px 48px;
    display: flex;
    flex-flow: column nowrap;
    align-items: flex-end;
    justify-content: center;
    width: 400px;
    max-width: 100%;
    margin: auto;

    @media (max-width: $bp-sm) {
      width: 100%;
      border-radius: 0;
      padding: 24px;
    }

    h1 {
      width: 100%;
      text-align: center;
      margin-bottom: 48px;
    }
  }

  .input {
    margin-bottom: 24px;
    flex: 0 0 100%;
    width: 100%;
  }

  .password-input {
    background-color: $black;
    .password-btn {
      border: none;
    }
  }
}
